from django.contrib.auth.decorators import login_required
from django.urls import path
from django.conf.urls import include, url
from . import views

urlpatterns = [

    path('', login_required(views.dealer_list), name='dealers'),
    path('dealer_profile/<int:Did>', login_required(views.dealer_profile), name='dealer_profile'),
    path('dealer-active/<int:Did>', login_required(views.dealer_active), name='dealer_active'),
    path('Admin_Dashboard', login_required(views.Admin_dashboard), name='Admin_Dashboard'),
    path('Admin_dashboard/Orders', login_required(views.admin_orders), name='admin_orders'),
    path('create', login_required(views.create_dealer_profile), name='create_dealer_profile'),
    path('edit/<int:Did>', login_required(views.edit_dealer), name='edit_dealer'),
    path('delete/<int:Did>', views.delete_dealer, name='delete_dealer'),
    path('product_search_API', login_required(views.product_search_API), name='product_search_API'),
    # path('edit/<str:srid>', login_required(views.edit_dealer_profile), name='edit_dealer_profile'),
    path('import', login_required(views.import_dealer_profile), name='import_dealer_profile'),
    path('export', login_required(views.dealer_export), name='dealer_export'),
    path('create/sr', login_required(views.create_sr), name='create_sr'),
    path('sr/list', login_required(views.sr_list), name='sr_list'),
    path('sr-dashboard', login_required(views.SR_dashboard), name='SR_dashboard'),
    path('sr-dashboard/new_schemes', login_required(views.new_schemes), name='newscheme'),
    path('sr-dashboard/Orders', login_required(views.latest_sr_orders), name='latest_orders'),
    path('sr-order-detail/<int:orderID>', login_required(views.SROrderDetail), name='sr_order_detail'),
    path('sr/delete/<int:uid>', views.sr_delete, name='sr_delete'),
    path('document/delete/<int:Did>', views.document_delete, name='document_delete'),
    # path('document/edit/<int:Did>', views.document_edit, name='document_edit'),
    # path('dealer_address', login_required(views.dealer_address), name='dealer_address'),
    # path('dealer_address/create', login_required(views.create_dealer_address), name='create_dealer_address'),
    path('sr_dealer', login_required(views.sr_dealer), name='sr_dealer'),
    path('sr_dealer/create', login_required(views.create_sr_dealer), name='create_sr_dealer'),
    path('sr_dealer/edit/<int:srid>', login_required(views.edit_sr_dealer), name='edit_sr_dealer'),
    path('dealer_documents', login_required(views.dealer_documents), name='dealer_documents'),
    path('dealer_documents/create', login_required(views.create_dealer_documents), name='create_dealer_documents'),
    path('Customer-Dashboard', login_required(views.customer_dashboard), name='customerdashboard'),
    path('Customer-dashboard/Odealer_profilerders', login_required(views.admin_orders), name='customer_orders'),
    path('Customer-Order-Detail', login_required(views.customer_order_detail), name='customerorderdetail'),
    path('Customer-Order-Delete', login_required(views.order_delete), name='customerorderdelete'),
    #path('Customer-Order_Api', login_required(views.customer_order_api), name='customerorderapi'),
    path('Product-List', login_required(views.product_list), name='productlist'),
    path('SR-Customer-Order-Detail', login_required(views.sr_customer_order), name='srcustomerorderdetail'),
    path('apply_tieup', views.apply_tieup, name='apply_tieup'),
    path('send_to_dealer', views.send_to_dealer, name='send_to_dealer'),
    path('apply_scheme', views.apply_scheme, name='apply_scheme'),
    path('applyed_scheme', views.applyed_scheme, name='applyed_scheme'),

    path('get_order/<int:orderno>', views.get_order, name='get_order'),
    path('get_order_schemes', views.get_order_schemes, name='get_order_schemes'),
    path('get_products', views.get_products, name='get_products'),
    path('delete_scheme', views.delete_scheme, name='delete_scheme'),
    path('confirm_order_cancel/<int:status>/<int:orderID>', views.confirm_order_cancel, name='confirm_order_cancel'),
    path('product_category', views.product_category, name='product_category'),
    path('warehouse-admin-dashboard', login_required(views.warehouse_admin_dashboard), name='warehouse_admin_dashboard'),
    path('warehouse-admin-dashboard/Orderslist', login_required(views.warehouseadmin_all_order), name='warehouseadmin_all_order'),
    path('warehouse-admin-dashboard/Orderslist/<str:statusobj>', login_required(views.warehouseadmin_all_order), name='warehouseadmin_all_order_status'),
    path('warehouse-order-detail/<int:orderID>', login_required(views.WarehouseOrderDetail), name='warehouse_order_detail'),
    path('warehouse-admin-dashboard/<str:statusobj>', login_required(views.Warehouse_orders), name='warehouseorders'),
    path('warehouse-inventory', login_required(views.WarehouseInventory), name='warehouseinventory'),
    path('warehouse-stock', login_required(views.WarehouseStock), name='warehousestock'),
    path('warehouse-user-dashboard', login_required(views.warehouse_user_dashboard), name='warehouse_user_dashboard'),
    path('warehouse-user-dashboard/Orders', login_required(views.warehouse_all_order), name='warehouse_all_order'),
    path('warehouse-user-dashboard/Orders/<str:statusobj>', login_required(views.warehouse_all_order), name='warehouse_all_order_user'),
    path('warehouse-manager-inventory', login_required(views.WarehouseInventory), name='warehouse_manager_inventory'),
    path('warehouse-manager-dashboard/<str:statusobj>', login_required(views.Warehouse_orders), name='warehouse_manager_orders'),

    path('get_warehouse_manager', views.WarehouseManager, name='get_warehouse_manager'),
    path('assign_warehouse', views.AssignWarehouse, name='assign_warehouse'),
    path('get_product_all_category', views.get_product_all_category, name='get_product_all_category'),
    path('Monthly-target-details', views.monthly_target_deatils, name='monthly_target_deatils'),
    path('email-settings', login_required(views.email_or_sms), name='email_or_sms'),
    path('email-sms-format', login_required(views.email_or_sms_format), name='email_or_sms_format'),
    path('email-sms-list', login_required(views.email_or_sms_list), name='email_or_sms_list'),
    path('email-sms-deleted', login_required(views.email_sms_deleted), name='email_sms_deleted'),

    path('get_sku_details/<str:skucode>', views.get_sku_details, name='get_sku_details'),
    path('stock-order-detail/<int:orderID>', login_required(views.StockOrderDetail), name='stock_order_detail'),
    path('ledger/<str:ledger>', login_required(views.AccountLedger), name='ledger'),
    path('ledger-detail/<str:ledger>/<int:dealer_id>', login_required(views.LedgerDetail), name='ledger_detail'),
    path('add-payment', login_required(views.AddPayment), name='add_payment'),
    path('finance-dashboard', login_required(views.FinanceDashboard), name='finance_dashboard'),
    path('finance-dashboard/Orderslist/<str:statusobj>', login_required(views.finance_all_order), name='finance_all_order'),
    path('head-dashboard', login_required(views.FinanceDashboard), name='head_dashboard'),
    path('order-detail/<int:orderID>', login_required(views.OrderDetail), name='order_detail'),
    path('request_approve_reject/<int:status>/<int:orderID>', views.ApproveReject, name='request_approve_reject'),
    path('collection-ledger', login_required(views.CollectionLedger), name='collection_ledger'),

    path('global-search', login_required(views.GlobalSearch), name='global_search'),
    path('load-city/<int:cid>', login_required(views.load_city), name='load_city'),
    path('download', login_required(views.DownloadPDF), name='download'),
    path('email-sms-format-list', login_required(views.email_sms_format_list), name='email_sms_list'),
    path('send-sms', views.SendSMS, name='send_sms'),
    path('all/', views.AllUsers, name='all_user'),
    path('profile', login_required(views.Profile), name='profile'),
    path('reset-password', login_required(views.reset_password), name='reset_password'),
    url(r'^reset-password/(?P<uid>[-a-zA-Z0-9_]+)/(?P<token>[-a-zA-Z0-9_]{1,13}-[-a-zA-Z0-9_]{1,20})/$',
        login_required(views.activate), name='resetpassword'),
    # path('sr-report', login_required(views.SRReport), name='sr_report'),
    path('top-sr', login_required(views.TopSR), name='sr_report'),
    path('top-dealer', login_required(views.TopDealer), name='top_dealer'),
    path('best-collection', login_required(views.BestCollection), name='best_collection'),
    path('sku-sale', login_required(views.SKUSale), name='sku_sale'),
    path('min-stock', login_required(views.MinStock), name='min_stock'),
    path('pending-payment', login_required(views.PendingPayment), name='pending_payment'),
    # path('send-email', login_required(views.SendEmail), name='send_email'),
    path('special-cd', login_required(views.SpecialCD), name='special_cd'),
    path('add-special-cd', login_required(views.AddSpecialCD), name='add_special_cd'),
    path('setting/<int:orderID>', login_required(views.EmailSettings), name='setting'),
    path('custom-inventory', login_required(views.CustomInventory), name='custom_inventory'),
    path('custom-inventory-manager', login_required(views.CustomInventory), name='custom_inventory'),
    path('get-custom-inventory', login_required(views.GetCustomInventory), name='get_custom_inventory'),
    path('get_all_product_category', views.get_all_product_category, name='get_all_product_category'),
    path('warehouse-report', login_required(views.WarehouseReport), name='warehouse_report'),
    path('debit-note', login_required(views.DebitNoteView), name='debit_note'),
    path('add-debit-note', login_required(views.AddDebitNote), name='add_debit_note'),
    # path('stock_out/<str:sku_code>', login_required(views.StockOut), name='stock_out'),
    path('sr-products', login_required(views.Products), name='sr_products'),
    path('del-products', login_required(views.DelProducts), name='sr_products'),
    path('test', login_required(views.SpecialCD1), name='special_cd1'),
]
